DB_ENV->lock_id()
Prev | Chapter 6. The DB_LOCK Handle | Next

## DB_ENV->lock_id()

    #include <db.h>

    int
    DB_ENV->lock_id(DB_ENV *env, u_int32_t *idp);

The `DB_ENV->lock_id()` method copies a locker ID, which is guaranteed to be unique in the environment's lock table, into the memory location to which idp refers.

The DB_ENV->lock_id_free() method should be called to return the locker ID to the Berkeley DB library when it is no longer needed.

The `DB_ENV->lock_id()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### idp

The idp parameter references memory into which the allocated locker ID is copied.

### Class

DB_ENV, DB_LOCK

### See Also

Locking Subsystem and Related Methods

Prev | Up | Next
DB_ENV->lock_get() | Home | DB_ENV->lock_id_free()